using adas_core.Domain.Models.MongoModels;
using adas_core.Domain.Models.Responses;
using MongoDB.Bson;

namespace adas_core.Application.Repositories.Interfaces;

public interface IDisplayChartConfigRepository : IMongoRepository<ChartConfig>
{
    Task<List<ChartConfig>> GetAll();
    Task<ChartConfig?> GetById(ObjectId configId);
    Task<ChartConfig?> InsertOneAsyncAndReturn(ChartConfig config);
    Task<UpdateResponse<ChartConfig?>> UpdateOne(ChartConfig? config);
    Task<ChartConfig?> DeleteOne(ObjectId configId);
}